Bug 25720 - tar tvIf and tar xvIf fail
tar tvIf and tar xvIf fail
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: tar (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-02 09:57 EST by Chris Runge
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-02 10:23:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Runge 2001-02-02 09:57:42 EST
on Fisher (beta 3) I get errors when I try to untar/bunzip2 as follows:

$ tar tvIf linux-2.4.1.tar.bz2
tar: This does not look like a tar archive
tar: Skipping to next header
tar: 84 garbage bytes ignored at end of archive
tar: Error exit delayed from previous errors

I get the same error with tar xvIf

The files themselves are fine. This command works on the same files on
other machines. In addition, on the Fisher (beta 3) machine if I first
bunzip2 the file, then untar it it works.

I have no problems with RHL 7 on the same machine and with the same files.

Configuration:
SuperMicro 370DE6 motherboard (based on ServerWorks III HE-SL chipset)
2xP3 @ 1GHz
512 MB RAM
Comment 1 Bernhard Rosenkraenzer 2001-02-02 10:23:18 EST
tar options have changed for compatibility with tar versions on other
OSes (e.g. Solaris). Replace I with j.
Comment 2 David Sainty 2001-02-14 19:14:32 EST
Is there no way to give a "deprecated" warning for a release or so? Idea being
we only give a message if we fail in this fashion, and have specified the I option.

I was sold on this being a bug too... you just assume it'll work as it used to,
and the message returned to the user certainly doesn't suggest a syntax change.
There could be a few support calls as a result of this. Just a thought.
Comment 3 David L. Parsley 2001-02-22 15:03:07 EST
<aol>
Me too!
</aol>
Yeah, I agree there should be a warning.  I was just getting ready to file this
as a bug...
Comment 4 Bernhard Rosenkraenzer 2001-02-22 15:07:23 EST
There is a warning now (1.13.19-1)

Note You need to log in before you can comment on or make changes to this bug.